## maui-booth 1.1.3+p24.04+vstable+git20250828.0546

=== debian/changelog ===
maui-booth (1.1.3+p24.04+vstable+git20250828.0546-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 28 Aug 2025 05:46:44 +0000

maui-booth (1.1.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 25 Feb 2024 01:42:04 +0000

booth (1.1.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 03 Dec 2023 01:42:04 +0000

booth (1.1.1-0neon) jammy; urgency=medium

  * Initial release

 -- Neon CI <neon@kde.org>  Fri, 26 May 2023 04:39:06 +0000

## maui-booth 1.1.3+p24.04+vstable+git20250914.2018

=== debian/changelog ===
maui-booth (1.1.3+p24.04+vstable+git20250914.2018-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 14 Sep 2025 20:18:34 +0000

## maui-booth 1.1.3+p24.04+vstable+git20251015.1906

=== CMakeLists.txt ===
# Copyright 2018-2020 Camilo Higuita <milo.h@aol.com>
# Copyright 2018-2020 Nitrux Latinoamericana S.C.
#
# SPDX-License-Identifier: GPL-3.0-or-later

cmake_minimum_required(VERSION 3.16)

set(BOOTH_VERSION 2.0.0)
add_compile_definitions(APP_COPYRIGHT_NOTICE="© 2022-2024 Maui Development Team")

project(booth VERSION ${BOOTH_VERSION})

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)

set(QT_MAJOR_VERSION 6)

set(REQUIRED_QT_VERSION 6.5.2)
set(REQUIRED_KF_VERSION 5.240.0)

if(ANDROID)
    set(ANDROID_ABIS "armeabi-v7a")
endif()

find_package(ECM ${REQUIRED_KF_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${ECM_MODULE_PATH})

if(UNIX AND NOT APPLE AND NOT ANDROID)
    include(KDEInstallDirs)
    include(KDECMakeSettings)
endif()

include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDEClangFormat)
include(ECMSetupVersion)
include(ECMSourceVersionControl)
include(FeatureSummary)

find_package(Qt6 ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE COMPONENTS Qml Quick Multimedia)
find_package(KF6 ${REQUIRED_KF_VERSION} REQUIRED COMPONENTS I18n CoreAddons)
find_package(MauiKit4 REQUIRED)

if(ANDROID)
    find_package(Qt6 ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE COMPONENTS Sql QuickControls2)
else()
    find_package(Qt6 ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE COMPONENTS Widgets)
endif()

if(${ECM_SOURCE_UNDER_VERSION_CONTROL})
    execute_process(
        COMMAND git rev-parse --abbrev-ref HEAD
        WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
        OUTPUT_VARIABLE GIT_BRANCH
        OUTPUT_STRIP_TRAILING_WHITESPACE)

    # Get the latest abbreviated commit hash of the working branch
    execute_process(
        COMMAND git log -1 --format=%h
        WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
        OUTPUT_VARIABLE GIT_COMMIT_HASH
        OUTPUT_STRIP_TRAILING_WHITESPACE)

    add_definitions(-DGIT_COMMIT_HASH="${GIT_COMMIT_HASH}")
    add_definitions(-DGIT_BRANCH="${GIT_BRANCH}")

else()
    add_definitions(-DGIT_COMMIT_HASH="${BOOTH_VERSION}")
    add_definitions(-DGIT_BRANCH="Stable")
endif()

ecm_setup_version(${BOOTH_VERSION}
    VARIABLE_PREFIX BOOTH
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/booth_version.h")

add_subdirectory(src)

ki18n_install(po)

if(UNIX AND NOT APPLE AND NOT ANDROID)
    install(FILES org.kde.booth.desktop DESTINATION ${KDE_INSTALL_APPDIR})
    install(FILES org.kde.booth.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
endif()

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

qt_finalize_project()

=== src/CMakeLists.txt ===
# Copyright 2018-2020 Camilo Higuita <milo.h@aol.com>
# Copyright 2018-2020 Nitrux Latinoamericana S.C.
#
# SPDX-License-Identifier: GPL-3.0-or-later

remove_definitions(-DQT_NO_CAST_FROM_ASCII -DQT_STRICT_ITERATORS -DQT_NO_CAST_FROM_BYTEARRAY -DQT_NO_URL_CAST_FROM_STRING)

qt_add_resources(booth_QRC assets/assets.qrc)

if(ANDROID)
    qt_add_executable(${PROJECT_NAME}
        MANUAL_FINALIZATION
        main.cpp
        ${booth_QRC})

    set_property(TARGET ${PROJECT_NAME} APPEND PROPERTY QT_ANDROID_PACKAGE_SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR}/android_files)
    configure_file(${CMAKE_CURRENT_SOURCE_DIR}/android_files/version.gradle.in ${CMAKE_BINARY_DIR}/src/version.gradle)

else()
    qt_add_executable(${PROJECT_NAME}
        main.cpp
        ${booth_QRC})
endif()

qt_add_qml_module(${PROJECT_NAME} URI app.maui.booth
    NO_PLUGIN
    QML_FILES
    main.qml
    widgets/CameraButton.qml
    widgets/CameraListButton.qml
    widgets/CameraListPopup.qml
    widgets/CameraPropertyButton.qml
    widgets/CameraPropertyPopup.qml
    widgets/FocusButton.qml
    widgets/PhotoCaptureControls.qml
    widgets/PhotoPreview.qml
    widgets/Popup.qml
    widgets/VideoCaptureControls.qml
    widgets/VideoPreview.qml
    widgets/ZoomControl.qml
    views/roll/RollView.qml
    views/CameraPage.qml)

if (ANDROID)
    target_link_libraries(${PROJECT_NAME}
        PRIVATE
        Qt6::Sql
        Qt6::QuickControls2)
else()
    target_link_libraries(${PROJECT_NAME} PRIVATE Qt6::Widgets)
endif()

target_link_libraries(${PROJECT_NAME}
    PRIVATE
    MauiKit4
    Qt6::Quick
    Qt6::Qml
    Qt6::Multimedia
    KF6::I18n
    KF6::CoreAddons)

if(UNIX AND NOT APPLE AND NOT ANDROID)
    install(TARGETS ${PROJECT_NAME} ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

    #TODO: port to ecm_install_icons()
    install(FILES assets/booth.svg DESTINATION ${KDE_INSTALL_ICONDIR}/hicolor/scalable/apps)
endif()

qt_finalize_target(${PROJECT_NAME})

=== debian/changelog ===
maui-booth (1.1.3+p24.04+vstable+git20251015.1906-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 19:06:45 +0000

=== debian/control ===
Source: maui-booth
Section: utils
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kcoreaddons-dev,
               kf6-ki18n-dev,
               libmauikitfilebrowsing-dev,
               libmauikitimagetools-dev,
               mauikit-dev,
               mauiman-dev,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-multimedia-dev
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/maui/maui-booth
Vcs-Git: https://invent.kde.org/neon/neon-packaging/maui-booth.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/maui-booth
Maintainer: Neon CI <neon@kde.org>

Package: maui-booth
Architecture: any
Depends: qml6-module-org-mauikit-filebrowsing,
         qml6-module-org-mauikit-imagetools,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Maui Camera App
 Booth is a convergent camera app, to record videos and take pictures and sync your camera photos.
 .

Package: booth
Depends: maui-booth, ${misc:Depends}
Architecture: all
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ http://download.kde.org/stable/maui/booth/([\d\.]+)/booth-([\d.]+).tar.xz

## maui-booth 1.1.3+p24.04+vstable+git20251019.0731

=== debian/changelog ===
maui-booth (1.1.3+p24.04+vstable+git20251019.0731-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 07:31:07 +0000

## maui-booth 1.1.3+p24.04+vstable+git20251231.0234

=== debian/changelog ===
maui-booth (1.1.3+p24.04+vstable+git20251231.0234-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 31 Dec 2025 02:34:47 +0000

## maui-booth 1.1.3+p24.04+vstable+git20260105.0954

=== debian/changelog ===
maui-booth (1.1.3+p24.04+vstable+git20260105.0954-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 05 Jan 2026 09:54:07 +0000

## maui-booth 1.1.3+p24.04+vstable+git20260107.0823

=== debian/changelog ===
maui-booth (1.1.3+p24.04+vstable+git20260107.0823-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 07 Jan 2026 08:23:45 +0000

## maui-booth 1.1.3+p24.04+vstable+git20260130.1003

=== debian/changelog ===
maui-booth (1.1.3+p24.04+vstable+git20260130.1003-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 10:03:26 +0000

## maui-booth 1.1.3+p24.04+vstable+git20260205.0602

=== debian/changelog ===
maui-booth (1.1.3+p24.04+vstable+git20260205.0602-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 05 Feb 2026 06:02:47 +0000

## maui-booth 1.1.3+p24.04+vunstable+git20260205.0818

=== debian/changelog ===
maui-booth (1.1.3+p24.04+vunstable+git20260205.0818-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 05 Feb 2026 08:18:35 +0000
